## python-tooz 1.43.0

=== debian/changelog ===
python-tooz (1.43.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 07 Oct 2016 03:26:46 +0000

python-tooz (1.43.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:30:25 -0400

python-tooz (1.40.0-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Add python{3}-sysv-ipc to Suggests to binary packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2016 16:44:17 -0400

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: memcached,
                     mysql-server,
                     net-tools,
                     postgresql,
                     postgresql-server-dev-all,
                     python-coverage,
                     python-concurrent.futures (>= 3.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fasteners,
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-kazoo (>= 2.2),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-oslo.utils (>= 3.15.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-psycopg2 (>= 2.5),
                     python-pymemcache (>= 1.2.9),
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-sysv-ipc,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-voluptuous (>= 0.8.9),
                     python-zake,
                     python3-eventlet (>= 0.18.4),
                     python3-fasteners,
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.11.0),
                     python3-kazoo (>= 2.2),
                     python3-mock (>= 2.0),
                     python3-msgpack,
                     python3-oslo.utils (>= 3.15.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymemcache (>= 1.2.9),
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-requests (>= 2.10.0),
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-sysv-ipc,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-voluptuous (>= 0.8.9),
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tooz.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-tooz.git
Homepage: https://github.com/openstack/tooz

Package: python-tooz
Architecture: all
Depends: python-concurrent.futures (>= 3.0),
         python-enum34,
         python-fasteners,
         python-futurist (>= 0.11.0),
         python-kazoo (>= 2.2),
         python-msgpack,
         python-oslo.utils (>= 3.15.0),
         python-oslo.serialization (>= 1.10.0),
         python-pbr (>= 1.8),
         python-pymemcache (>= 1.2.9),
         python-pymysql,
         python-redis,
         python-requests (>= 2.10.0),
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         python-voluptuous (>= 0.8.9),
         python-zake,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Depends: python3-fasteners,
         python3-futurist (>= 0.11.0),
         python3-kazoo (>= 2.2),
         python3-msgpack,
         python3-oslo.utils (>= 3.15.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-pbr (>= 1.8),
         python3-pymemcache (>= 1.2.9),
         python3-pymysql,
         python3-redis,
         python3-requests (>= 2.10.0),
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         python3-voluptuous (>= 0.8.9),
         python3-zake,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

## python-tooz 1.48.0

=== debian/changelog ===
python-tooz (1.48.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 23 Jan 2017 15:58:25 +0000

python-tooz (1.48.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 09:52:37 -0500

python-tooz (1.47.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2017 11:32:17 -0500

python-tooz (1.46.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 11:45:27 -0500

python-tooz (1.45.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream. 
  * d/control: Add autopkgtest support.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 08:49:31 -0500

python-tooz (1.44.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 09:33:13 -0400

=== debian/control ===
--- 
+++ 
@@ -19,84 +19,85 @@
                      net-tools,
                      postgresql,
                      postgresql-server-dev-all,
+                     python-concurrent.futures (>= 3.0),
                      python-coverage,
-                     python-concurrent.futures (>= 3.0),
                      python-enum34,
                      python-eventlet (>= 0.18.4),
-                     python-fasteners,
+                     python-fasteners (>= 0.7),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
                      python-kazoo (>= 2.2),
                      python-mock (>= 2.0),
                      python-msgpack,
+                     python-oslo.serialization (>= 1.10.0),
                      python-oslo.utils (>= 3.15.0),
-                     python-oslo.serialization (>= 1.10.0),
                      python-oslosphinx (>= 2.5.0),
                      python-psycopg2 (>= 2.5),
                      python-pymemcache (>= 1.2.9),
                      python-pymysql (>= 0.6.2),
                      python-redis,
                      python-requests (>= 2.10.0),
-                     python-retrying,
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.16.0),
                      python-sysv-ipc,
+                     python-tenacity (>= 3.2.1),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-voluptuous (>= 0.8.9),
                      python-zake,
                      python3-eventlet (>= 0.18.4),
-                     python3-fasteners,
+                     python3-fasteners (>= 0.7),
                      python3-fixtures (>= 3.0.0),
                      python3-futurist (>= 0.11.0),
                      python3-kazoo (>= 2.2),
                      python3-mock (>= 2.0),
                      python3-msgpack,
+                     python3-oslo.serialization (>= 1.10.0),
                      python3-oslo.utils (>= 3.15.0),
-                     python3-oslo.serialization (>= 1.10.0),
                      python3-psycopg2 (>= 2.5),
                      python3-pymemcache (>= 1.2.9),
                      python3-pymysql (>= 0.6.2),
                      python3-redis,
                      python3-requests (>= 2.10.0),
-                     python3-retrying,
                      python3-six (>= 1.9.0),
                      python3-stevedore (>= 1.16.0),
                      python3-subunit,
                      python3-sysv-ipc,
+                     python3-tenacity (>= 3.2.1),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-voluptuous (>= 0.8.9),
                      python3-zake,
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tooz.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-tooz.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
 Homepage: https://github.com/openstack/tooz
+Testsuite: autopkgtest-pkg-python
 
 Package: python-tooz
 Architecture: all
 Depends: python-concurrent.futures (>= 3.0),
          python-enum34,
-         python-fasteners,
+         python-fasteners (>= 0.7),
          python-futurist (>= 0.11.0),
          python-kazoo (>= 2.2),
          python-msgpack,
+         python-oslo.serialization (>= 1.10.0),
          python-oslo.utils (>= 3.15.0),
-         python-oslo.serialization (>= 1.10.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 1.6),
          python-pymemcache (>= 1.2.9),
          python-pymysql,
          python-redis,
          python-requests (>= 2.10.0),
-         python-retrying,
          python-six (>= 1.9.0),
          python-stevedore (>= 1.16.0),
+         python-tenacity (>= 3.2.1),
          python-voluptuous (>= 0.8.9),
          python-zake,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: python-sysv-ipc,
 Description: coordination library for distributed systems - Python 2.x
  The Tooz project centralizes the most common distributed primitives like group
@@ -107,24 +108,24 @@
 
 Package: python3-tooz
 Architecture: all
-Depends: python3-fasteners,
+Depends: python3-fasteners (>= 0.7),
          python3-futurist (>= 0.11.0),
          python3-kazoo (>= 2.2),
          python3-msgpack,
+         python3-oslo.serialization (>= 1.10.0),
          python3-oslo.utils (>= 3.15.0),
-         python3-oslo.serialization (>= 1.10.0),
-         python3-pbr (>= 1.8),
+         python3-pbr (>= 1.6),
          python3-pymemcache (>= 1.2.9),
          python3-pymysql,
          python3-redis,
          python3-requests (>= 2.10.0),
-         python3-retrying,
          python3-six (>= 1.9.0),
          python3-stevedore (>= 1.16.0),
+         python3-tenacity (>= 3.2.1),
          python3-voluptuous (>= 0.8.9),
          python3-zake,
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Suggests: python3-sysv-ipc,
 Description: coordination library for distributed systems - Python 3.x
  The Tooz project centralizes the most common distributed primitives like group

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/tooz.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
	$(CURDIR)/debian/check-memcached-runs
	pkgos-dh_auto_test
	$(CURDIR)/debian/check-memcached-off
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build TEST_PID_MEMCACHE.pid .testrepository

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-tooz 1.48.1

=== debian/changelog ===
python-tooz (1.48.1-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Fri, 04 Aug 2017 14:50:00 +0200

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: memcached,
                     default-mysql-server | mysql-server,
                     net-tools,
                     postgresql,
                     postgresql-server-dev-all,
                     python-coverage,
                     python-concurrent.futures (>= 3.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fasteners,
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-kazoo (>= 2.2),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslosphinx (>= 4.7.0),
                     python-psycopg2 (>= 2.5),
                     python-pymemcache (>= 1.2.9),
                     python-pymysql (>= 0.7.6),
                     python-redis,
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-sysv-ipc,
                     python-tenacity (>= 3.1.1),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-voluptuous (>= 0.8.9),
                     python-zake,
                     python3-eventlet (>= 0.18.4),
                     python3-fasteners,
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.11.0),
                     python3-kazoo (>= 2.2),
                     python3-mock (>= 2.0),
                     python3-msgpack,
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymemcache (>= 1.2.9),
                     python3-pymysql (>= 0.7.6),
                     python3-redis,
                     python3-requests (>= 2.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-sysv-ipc,
                     python3-tenacity (>= 3.1.1),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-voluptuous (>= 0.8.9),
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tooz.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-tooz.git
Homepage: https://github.com/openstack/tooz

Package: python-tooz
Architecture: all
Depends: python-concurrent.futures (>= 3.0),
         python-enum34,
         python-fasteners,
         python-futurist (>= 0.11.0),
         python-kazoo (>= 2.2),
         python-msgpack,
         python-oslo.utils (>= 3.18.0),
         python-oslo.serialization (>= 1.10.0),
         python-pbr (>= 1.8),
         python-pymemcache (>= 1.2.9),
         python-pymysql,
         python-redis,
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         python-tenacity (>= 3.1.1),
         python-voluptuous (>= 0.8.9),
         python-zake,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Depends: python3-fasteners,
         python3-futurist (>= 0.11.0),
         python3-kazoo (>= 2.2),
         python3-msgpack,
         python3-oslo.utils (>= 3.18.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-pbr (>= 1.8),
         python3-pymemcache (>= 1.2.9),
         python3-pymysql,
         python3-redis,
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         python3-tenacity (>= 3.1.1),
         python3-voluptuous (>= 0.8.9),
         python3-zake,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

## python-tooz 1.58.0

=== debian/changelog ===
python-tooz (1.58.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 01:20:02 +0000

python-tooz (1.58.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Allow mariadb-server as b-d instead of mysql.
  * Fix TOOZ_TEST_URL.
  * Temporarily not run unit tests until feedback from upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2017 00:11:13 +0200

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 memcached,
 mariadb-server | mysql-server,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python-concurrent.futures (>= 3.0),
 python-coverage,
 python-enum34,
 python-eventlet,
 python-fasteners,
 python-fixtures,
 python-futurist,
 python-kazoo,
 python-mock,
 python-msgpack,
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.15.0),
 python-openstackdocstheme (>= 1.11.0),
 python-psycopg2 (>= 2.5),
 python-pymemcache (>= 1.2.9),
 python-pymysql,
 python-redis,
 python-requests,
 python-six,
 python-stevedore (>= 1.20.0),
 python-sysv-ipc,
 python-tenacity (>= 3.2.1),
 python-testscenarios,
 python-testtools,
 python-voluptuous,
 python-zake,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-futurist,
 python3-kazoo,
 python3-mock,
 python3-msgpack,
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-psycopg2 (>= 2.5),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-sysv-ipc,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools,
 python3-voluptuous,
 python3-zake,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-tooz.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-tooz.git
Homepage: https://github.com/openstack/tooz

Package: python-tooz
Architecture: all
Depends:
 python-concurrent.futures (>= 3.0),
 python-enum34,
 python-fasteners,
 python-futurist,
 python-kazoo,
 python-msgpack,
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.15.0),
 python-pbr,
 python-pymemcache,
 python-pymysql,
 python-redis,
 python-requests,
 python-six,
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 3.2.1),
 python-voluptuous,
 python-zake,
 ${misc:Depends},
 ${python:Depends},
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-fasteners,
 python3-futurist,
 python3-kazoo,
 python3-msgpack,
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-pbr,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 3.2.1),
 python3-voluptuous,
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,23 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
-	$(CURDIR)/debian/check-memcached-runs
-	pkgos-dh_auto_test
-	$(CURDIR)/debian/check-memcached-off
+	echo "Temporarily not run unit tests until feedback from upstream"
+#	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
+#	$(CURDIR)/debian/check-memcached-runs
+#	@echo "===> Running tests"
+#	set -e ; set -x ; for i in 2.7 ${PYTHON3S} ; do \
+#		rm -rf /tmp/groups ; \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` ; \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i bash ./debian/setup-tests.sh testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
+#	$(CURDIR)/debian/check-memcached-off
 endif
 
 override_dh_clean:

## python-tooz 1.59.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
six>=1.9.0 # MIT
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
voluptuous>=0.8.9 # BSD License
msgpack-python>=0.4.0 # Apache-2.0
fasteners>=0.7 # Apache-2.0
tenacity>=3.2.1  # Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist!=0.15.0,>=0.11.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-tooz (1.59.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 11:28:15 +0000

python-tooz (1.58.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 08:47:19 -0400

python-tooz (1.57.3-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 15:53:56 -0400

python-tooz (1.57.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:15 +0100

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: memcached,
                     mysql-server,
                     net-tools,
                     postgresql,
                     postgresql-server-dev-all,
                     python-concurrent.futures (>= 3.0),
                     python-coverage,
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fasteners (>= 0.7),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-kazoo (>= 2.2),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.15.0),
                     python-psycopg2 (>= 2.5),
                     python-pymemcache (>= 1.2.9),
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-sysv-ipc,
                     python-tenacity (>= 3.2.1),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-voluptuous (>= 0.8.9),
                     python-zake,
                     python3-eventlet (>= 0.18.4),
                     python3-fasteners (>= 0.7),
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.11.0),
                     python3-kazoo (>= 2.2),
                     python3-mock (>= 2.0),
                     python3-msgpack,
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.15.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymemcache (>= 1.2.9),
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-requests (>= 2.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-sysv-ipc,
                     python3-tenacity (>= 3.2.1),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-voluptuous (>= 0.8.9),
                     python3-zake,
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tooz
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz
Architecture: all
Depends: python-concurrent.futures (>= 3.0),
         python-enum34,
         python-fasteners (>= 0.7),
         python-futurist (>= 0.11.0),
         python-kazoo (>= 2.2),
         python-msgpack,
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.15.0),
         python-pbr (>= 1.6),
         python-pymemcache (>= 1.2.9),
         python-pymysql,
         python-redis,
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         python-tenacity (>= 3.2.1),
         python-voluptuous (>= 0.8.9),
         python-zake,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Depends: python3-fasteners (>= 0.7),
         python3-futurist (>= 0.11.0),
         python3-kazoo (>= 2.2),
         python3-msgpack,
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.15.0),
         python3-pbr (>= 1.6),
         python3-pymemcache (>= 1.2.9),
         python3-pymysql,
         python3-redis,
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         python3-tenacity (>= 3.2.1),
         python3-voluptuous (>= 0.8.9),
         python3-zake,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -11,23 +11,10 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Temporarily not run unit tests until feedback from upstream"
-#	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
-#	$(CURDIR)/debian/check-memcached-runs
-#	@echo "===> Running tests"
-#	set -e ; set -x ; for i in 2.7 ${PYTHON3S} ; do \
-#		rm -rf /tmp/groups ; \
-#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-#		rm -rf .testrepository ; \
-#		testr-python$$PYMAJOR init ; \
-#		TEMP_REZ=`mktemp -t` ; \
-#		PYTHONPATH=$(CURDIR) PYTHON=python$$i bash ./debian/setup-tests.sh testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-#		rm -f $$TEMP_REZ ; \
-#		testr-python$$PYMAJOR slowest ; \
-#	done
-#	$(CURDIR)/debian/check-memcached-off
+	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
+	$(CURDIR)/debian/check-memcached-runs
+	TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test
+	$(CURDIR)/debian/check-memcached-off
 endif
 
 override_dh_clean:

## python-tooz 1.62.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 six>=1.9.0 # MIT
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 voluptuous>=0.8.9 # BSD License
-msgpack-python>=0.4.0 # Apache-2.0
+msgpack>=0.4.0 # Apache-2.0
 fasteners>=0.7 # Apache-2.0
 tenacity>=3.2.1  # Apache-2.0
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD

=== debian/changelog ===
python-tooz (1.62.0-3) unstable; urgency=medium

  * Apply patch from Ubuntu (Closes: #898740):
    - d/control: Enable autopkgtest-pkg-python dep8 tests.
    - d/control: Add python{3}-sysv-ipc to Suggests for IPC driver.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 13:39:27 +0200

python-tooz (1.62.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 04 Sep 2018 23:24:16 +0200

python-tooz (1.62.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Michal Arbet ]
  * Fix embedded-javascript-library
  * d/rules: Fix tests
  * d/rules: Switch doc generation to python3
  * d/patches: Add fix-doc-generation.patch
  * d/control: Remove trailing tilde - debhelper
  * d/control: Add me to uploaders field
  * d/copyright: Update file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 23 Aug 2018 11:21:46 +0200

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 mariadb-server | mysql-server,
 memcached,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python-concurrent.futures (>= 3.0),
 python-coverage,
 python-enum34,
 python-eventlet,
 python-fasteners,
 python-fixtures,
 python-futurist,
 python-kazoo,
 python-mock,
 python-msgpack,
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.15.0),
 python-psycopg2 (>= 2.5),
 python-pymemcache (>= 1.2.9),
 python-pymysql,
 python-redis,
 python-requests,
 python-six,
 python-stevedore (>= 1.20.0),
 python-sysv-ipc,
 python-tenacity (>= 3.2.1),
 python-testscenarios,
 python-testtools,
 python-voluptuous,
 python-zake,
 python3-consul (>= 0.4.7),
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-futurist,
 python3-kazoo,
 python3-mock,
 python3-msgpack,
 python3-openstackdocstheme (>= 1.11.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-psycopg2 (>= 2.5),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-sysv-ipc,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools,
 python3-voluptuous,
 python3-zake,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tooz
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tooz.git
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz
Architecture: all
Depends:
 python-concurrent.futures (>= 3.0),
 python-enum34,
 python-fasteners,
 python-futurist,
 python-kazoo,
 python-msgpack,
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.15.0),
 python-pbr,
 python-pymemcache,
 python-pymysql,
 python-redis,
 python-requests,
 python-six,
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 3.2.1),
 python-voluptuous,
 python-zake,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-fasteners,
 python3-futurist,
 python3-kazoo,
 python3-msgpack,
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.15.0),
 python3-pbr,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 3.2.1),
 python3-voluptuous,
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	rm -rf build TEST_PID_MEMCACHE.pid .testrepository
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html
+	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run
